Jump to content
PhAzE

[PhAzE] Plugins for Unraid 5/6

3606 posts in this topic Last Reply

Recommended Posts

If your using dynamix or unmenu, you can try uninstalling them. Dynamix is native in unraid 6 but with unraid 5 it can cause problems with my plugins sometimes. Also you can try reinstalling the plugin from command line.

 

Installplg /boot/config/plugins/Ubooquity.plg

 

Once one is reinstalled they should all show up.  Let me know if you use any other plugins or gui mods.

 

I ended up deleting .PhAzE-Common, per your suggestion for a different error, and that did the trick. Everything is running perfectly now. Thank you for your help! :)

Share this post


Link to post

I've been pretty swamped lately but hoping to have some time tomorrow to look at these install issues.  Including emby.

 

It is appreciated. Like I said I started to look at the script to see what the issue could be and how I could bypass it (with emby) but lost interest. Something about working 15 hours a day programming already that causes you to hate computers. Go figure...

I'm usually in the same boat.

Share this post


Link to post

If your using dynamix or unmenu, you can try uninstalling them. Dynamix is native in unraid 6 but with unraid 5 it can cause problems with my plugins sometimes. Also you can try reinstalling the plugin from command line.

 

Installplg /boot/config/plugins/Ubooquity.plg

 

Once one is reinstalled they should all show up.  Let me know if you use any other plugins or gui mods.

 

I ended up deleting .PhAzE-Common, per your suggestion for a different error, and that did the trick. Everything is running perfectly now. Thank you for your help! :)

Thanks for the donation, greatly appreciated!

Share this post


Link to post

Emby plugin has been updated to fix the repo. File names on the repo now include the word "Mono" which my script was removing anything listed with that name. Update the plugin, update the app or install and all should be well.

 

Let me know if there are any other issues with Emby, someone had mentioned that videos weren't playing since a recent update. I don't use Emby myself, so if anyone can test they play, that would be great.

 

-=PhAzE=-

Share this post


Link to post

Emby plugin has been updated to fix the repo. File names on the repo now include the word "Mono" which my script was removing anything listed with that name. Update the plugin, update the app or install and all should be well.

 

Let me know if there are any other issues with Emby, someone had mentioned that videos weren't playing since a recent update. I don't use Emby myself, so if anyone can test they play, that would be great.

 

-=PhAzE=-

 

Can confirm that videos are not playing.

Share this post


Link to post

Any errors in the emby logs?

 

I can try to get them later. busy with work right now.

 

The FFMPEG supplied with Emby seems not to work anymore with they way this plugin is setup, but no worries, I had included my version of FFMPEG a while back. I have updated the start command for Emby to use this copy instead.

 

Update the plugin to the newest one, restart Emby, and all should now work.

Share this post


Link to post

Someone had mentioned unrar and 7za dependencies being needed for nzbget, but those are already included in the nzbget install by default, and are working normally.

 

Flexget issues... well these are going to need more work. Apparently the WEBUI I had included is now gone (thus the install was failing) and a new one is being worked on (finally).  I have change a bunch of things in the plugin so a fix for that app will take a little longer. 

 

I'l take a look at adding the newer unrar for SAB next too.

Share this post


Link to post

Any errors in the emby logs?

 

I can try to get them later. busy with work right now.

 

The FFMPEG supplied with Emby seems not to work anymore with they way this plugin is setup, but no worries, I had included my version of FFMPEG a while back. I have updated the start command for Emby to use this copy instead.

 

Update the plugin to the newest one, restart Emby, and all should now work.

 

Now emby starts but there is nothing in the server at all. Where are the useful logs for emby located on unraid?

Share this post


Link to post

Any errors in the emby logs?

 

I can try to get them later. busy with work right now.

 

The FFMPEG supplied with Emby seems not to work anymore with they way this plugin is setup, but no worries, I had included my version of FFMPEG a while back. I have updated the start command for Emby to use this copy instead.

 

Update the plugin to the newest one, restart Emby, and all should now work.

 

Now emby starts but there is nothing in the server at all. Where are the useful logs for emby located on unraid?

logs are located in /configdirectory/logs i believe.  No changes that I made would impact that part of the app, just added a switch to point it to ffmpeg.  It may be a bug, as I had to rescan my library and then everything was back to normal on my test machine.

Share this post


Link to post

SABNZBD - Updated unrar to 5.3.7

 

FLEXGET - added temp fix to get it installed for users again. the GUI will not start the daemon (only required if you were using the gui to schedule things). Since the command line structure of the application has changed recently, I will need to jimmy the plugin to work with the new syntax. Won't be tonight but hopefully later this week. At least with the latest update you can install it and still run it from command line like normal.

 

-=PhAzE=-

Share this post


Link to post

Any errors in the emby logs?

 

I can try to get them later. busy with work right now.

 

The FFMPEG supplied with Emby seems not to work anymore with they way this plugin is setup, but no worries, I had included my version of FFMPEG a while back. I have updated the start command for Emby to use this copy instead.

 

Update the plugin to the newest one, restart Emby, and all should now work.

 

Now emby starts but there is nothing in the server at all. Where are the useful logs for emby located on unraid?

logs are located in /configdirectory/logs i believe.  No changes that I made would impact that part of the app, just added a switch to point it to ffmpeg.  It may be a bug, as I had to rescan my library and then everything was back to normal on my test machine.

 

That appears to have fixed the problem. Now to see how emby compares to plex. Now that I know the log location I can be of more help in the event that something happens in the future.

 

Share this post


Link to post

SABNZBD - Updated unrar to 5.3.7

...

-=PhAzE=-

 

After updating the Plugin, the Settings page shows:

 

 

Python Version:2.7.10

 

SQLite3 Version:3.7.17

 

UnRAR Version:NOT WORKING

 

InfoZip Version:6.00

 

Par2CMDLine Version:0.4"

 

:-[

Share this post


Link to post

I need to update the command that pulls the version number.  I'll do that but it shouldn't affect it from working.  :)

Share this post


Link to post

So i assume other people are running CouchPotato on 6.0.x and not having the same problems I am with CouchPotato failing to download off of API Key, i havent tested with RSS.

Share this post


Link to post

Hi There,

 

I've got Phaze's Couch Potato plugin installed and I think the plugin is working fine, but I can't get CP to download anything.

 

Failed getting cache: Traceback (most recent call last): AttributeError: '_socketobject' object has no attribute 'set_tlsext_host_name'

 

Doing a search of the CP forums leads me to believe that I need to install a new version of pyopenssl and openssl. I'm not that well versed in this type of thing. Can anyone tell me how to figure out how to do this?

 

Ben

 

CP logs

 

11-30 23:04:42 INFO
[hpotato.core.plugins.base] Opening url: get https://api.oznzb.com/api?imdbid=0478970&apikey=xxx&t=movie&extended=1, data: []
11-30 23:04:42 DEBUG
[hpotato.core.plugins.base] Waiting for Newznab, 1 seconds
11-30 23:04:42 DEBUG
[hpotato.core.plugins.base] Failed getting cache: Traceback (most recent call last): AttributeError: '_socketobject' object has no attribute 'set_tlsext_host_name'
11-30 23:04:42 DEBUG
[core.media.movie.searcher] Nothing found for Ant-Man in 720p
11-30 23:04:42 DEBUG
[tato.core.plugins.quality] Compare quality 1080p not found in profile identifiers [u'720p', u'brrip', u'dvdrip']
11-30 23:04:42 INFO
[core.media.movie.searcher] Search for Ant-Man in BR-Rip ignoring ETA
11-30 23:04:43 DEBUG
[o.core.notifications.core] Getting messages with id: 5c519bba-2b6b-4299-bf66-8ba08b43ce3d
11-30 23:04:43 DEBUG
[o.core.notifications.core] Returning for 5c519bba-2b6b-4299-bf66-8ba08b43ce3d 0 messages
11-30 23:04:44 INFO
[hpotato.core.plugins.base] Opening url: get https://api.oznzb.com/api?imdbid=3316948&apikey=xxx&t=movie&extended=1, data: []
11-30 23:04:44 DEBUG
[hpotato.core.plugins.base] Waiting for Newznab, 1 seconds
11-30 23:04:44 DEBUG
[hpotato.core.plugins.base] Failed getting cache: Traceback (most recent call last): AttributeError: '_socketobject' object has no attribute 'set_tlsext_host_name'
11-30 23:04:44 DEBUG
[core.media.movie.searcher] Nothing found for American Ultra in BR-Rip
11-30 23:04:44 INFO
[core.media.movie.searcher] Search for American Ultra in DVD-Rip ignoring ETA

Share this post


Link to post

Unrar is a false error. It's working. As for par2, try shutting down all my plugins, delete /mnt/cache/.PhAzE-Common directory and then start them back up.

Share this post


Link to post

Hi Phaze, I uninstalled the old emby plugin, deleted the folder, install the new plugin and this is what I get :(

 

plugin: installing: https://github.com/PhAzE-Variance/unRAID/raw/master/Plugins/Embyserver.plg

plugin: downloading https://github.com/PhAzE-Variance/unRAID/raw/master/Plugins/Embyserver.plg

plugin: downloading: https://github.com/PhAzE-Variance/unRAID/raw/master/Plugins/Embyserver.plg ... done

Installing Embyserver plugin

Checking for current bundle files

Control file: Found correct version

Dependency file: Not found

Mono file: Not found

Check OK!

Downloading new dependency file

Install failed: Downloaded dependency file failed MD5 check

plugin: run failed: /bin/bash retval: 1

Share this post


Link to post

Unrar is a false error. It's working. As for par2, try shutting down all my plugins, delete /mnt/cache/.PhAzE-Common directory and then start them back up.

 

Thanks that worked like a charm, Is that the dependency folder.

Emby is working also now.

 

Thanks!

Share this post


Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.